Debian Bug report logs - #677113
xli: Zooming JPEGs doesn't work anymore

version graph

Package: xli; Maintainer for xli is Ryan Niebur <ryan@debian.org>; Source for xli is src:xli.

Reported by: Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>

Date: Mon, 11 Jun 2012 18:33:01 UTC

Severity: important

Tags: confirmed

Found in version xli/1.17.0+20061110-3.1

Fixed in version xli/1.17.0+20061110-4

Done: Ryan Niebur <ryan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Bug#677113; Package xli. (Mon, 11 Jun 2012 18:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>:
New Bug report received and forwarded. Copy sent to Ryan Niebur <ryanryan52@gmail.com>. (Mon, 11 Jun 2012 18:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xli: Zooming JPEGs doesn't work anymore
Date: Mon, 11 Jun 2012 20:29:33 +0200
Package: xli
Version: 1.17.0+20061110-3.1
Severity: normal

With this version, which depends on libjpeg8, zooming JPEGs stopped
working, the option "-zoom" has no effect. For GIFs, zooming still
works.

The old version (1.17.0+20061110-3+b1) depends on libjpeg62 and has a
working "-zoom" option.


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (501, 'testing'), (50, 'unstable'), (25, 'experimental'), (12, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.ISO-8859-15, LC_CTYPE=en_US.ISO-8859-15 (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages xli depends on:
ii  libc6       2.13-33
ii  libjpeg8    8d-1
ii  libpng12-0  1.2.49-1
ii  libx11-6    2:1.4.99.901-2
ii  libxext6    2:1.3.1-2
ii  zlib1g      1:1.2.7.dfsg-11

xli recommends no packages.

xli suggests no packages.

-- no debconf information




Severity set to 'important' from 'normal' Request was from jidanni@jidanni.org to control@bugs.debian.org. (Thu, 14 Jun 2012 21:18:39 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Bug#677113; Package xli. (Mon, 02 Jul 2012 01:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryanryan52@gmail.com>. (Mon, 02 Jul 2012 01:24:03 GMT) Full text and rfc822 format available.

Message #12 received at 677113@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: ryanryan52@gmail.com
Cc: 677113@bugs.debian.org,pub_br_debian.org@marc-jano.de
Subject: don't you hate it when an update wrecks a package and then just is left sitting there
Date: Mon, 02 Jul 2012 09:20:41 +0800
Don't you hate it when an update wrecks a package and then just is left sitting there.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#677113; Package xli. (Mon, 02 Jul 2012 20:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. (Mon, 02 Jul 2012 20:48:05 GMT) Full text and rfc822 format available.

Message #17 received at 677113@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: jidanni@jidanni.org
Cc: 677113@bugs.debian.org, pub_br_debian.org@marc-jano.de
Subject: Re: don't you hate it when an update wrecks a package and then just is left sitting there
Date: Mon, 2 Jul 2012 13:45:15 -0700
tag 677113 confirmed
tag 677113 pending
thanks

On Mon, Jul 02, 2012 at 09:20:41AM +0800, jidanni@jidanni.org wrote:
> Don't you hate it when an update wrecks a package and then just is left sitting there.

Well, yes, but the NMU help is appreciated and this seems like it's
actually a regression in libjpeg's scaling functionality, since it
worked fine previously. I will upload a new version of xli which no
longer tries to use libjpeg's scaling functionality and will handle
zooming JPEGs like any other image type, which I've confirmed fixes
this problem.

Thanks,
Ryan

-- 




Added tag(s) confirmed. Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Mon, 02 Jul 2012 20:48:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Mon, 02 Jul 2012 20:48:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Bug#677113; Package xli. (Mon, 02 Jul 2012 21:30:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryanryan52@gmail.com>. (Mon, 02 Jul 2012 21:30:25 GMT) Full text and rfc822 format available.

Message #26 received at 677113@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: ryanryan52@gmail.com
Cc: 677113@bugs.debian.org
Subject: Re: don't you hate it when an update wrecks a package and then just is left sitting there
Date: Tue, 03 Jul 2012 05:27:45 +0800
Thanks.




Reply sent to Ryan Niebur <ryan@debian.org>:
You have taken responsibility. (Mon, 02 Jul 2012 22:18:59 GMT) Full text and rfc822 format available.

Notification sent to Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>:
Bug acknowledged by developer. (Mon, 02 Jul 2012 22:18:59 GMT) Full text and rfc822 format available.

Message #31 received at 677113-close@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryan@debian.org>
To: 677113-close@bugs.debian.org
Subject: Bug#677113: fixed in xli 1.17.0+20061110-4
Date: Mon, 02 Jul 2012 21:48:53 +0000
Source: xli
Source-Version: 1.17.0+20061110-4

We believe that the bug you reported is fixed in the latest version of
xli, which is due to be installed in the Debian FTP archive:

xli_1.17.0+20061110-4.diff.gz
  to main/x/xli/xli_1.17.0+20061110-4.diff.gz
xli_1.17.0+20061110-4.dsc
  to main/x/xli/xli_1.17.0+20061110-4.dsc
xli_1.17.0+20061110-4_i386.deb
  to main/x/xli/xli_1.17.0+20061110-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677113@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Niebur <ryan@debian.org> (supplier of updated xli package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 02 Jul 2012 14:37:10 -0700
Source: xli
Binary: xli
Architecture: i386 source
Version: 1.17.0+20061110-4
Distribution: unstable
Urgency: low
Maintainer: Ryan Niebur <ryan@debian.org>
Changed-By: Ryan Niebur <ryan@debian.org>
Closes: 677113
Description: 
 xli        - command line tool for viewing images in X11
Changes: 
 xli (1.17.0+20061110-4) unstable; urgency=low
 .
   * Update my email address in Maintainer field
   * Add disable-libjpeg-scaling patch to disable using libjpeg for
     scaling, which broke after upgrading from libjpeg62 to libjpeg8
     (Closes: #677113)
   * Add Vcs-* fields, maintaining the package within collab-maint
   * Use dpkg-buildflags in debian/rules to enable hardening
Checksums-Sha1: 
 04cb1334bc88f19d1000b95cf2eeda3e0bf1f184 159366 xli_1.17.0+20061110-4_i386.deb
 743fa1a5e9666dc11cf0d1444a58a7a5294adbef 1283 xli_1.17.0+20061110-4.dsc
 dba383167a02c53d791ca673c9cb18f31e69b4d2 31184 xli_1.17.0+20061110-4.diff.gz
Checksums-Sha256: 
 2c594b6e7e5379b8b16a0f23423a711b4acd37cc1f435fc449f34d4ff3519998 159366 xli_1.17.0+20061110-4_i386.deb
 eca647a75ebc46993b6cf79eecfdadeabd608365e9bb6cca96349511044706d7 1283 xli_1.17.0+20061110-4.dsc
 b284e4f4814dcf0293cc89b4dcd0b0f5786fedc294012cfddf31065ed4974623 31184 xli_1.17.0+20061110-4.diff.gz
Files: 
 8d2b4b434b24ee7acd9b4cdc2264c8f4 159366 graphics optional xli_1.17.0+20061110-4_i386.deb
 ce9b25f48522744e5dc7e22e27ba6937 1283 graphics optional xli_1.17.0+20061110-4.dsc
 fc1985c39e6c8ae7bacce5aa1d9cb190 31184 graphics optional xli_1.17.0+20061110-4.diff.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/yFRMACgkQMihv+PacasV1TgCghcZXDK4T3qnyTCS/puKhYxYB
nvUAn0i6a/rmIbTlIgWkuvpOm6+h90vo
=urKT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 10 Aug 2012 07:25:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:04:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.